> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Patient Gfes

> Get all Good Faith Exam records for a patient.

Fetches GFE records from the database and enriches them with current status
information from SpaKinect API.



## OpenAPI

````yaml get /spakinect/gfe/patient/{patient_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /spakinect/gfe/patient/{patient_id}:
    get:
      tags:
        - provider
        - spakinect
      summary: Get Patient Gfes
      description: >-
        Get all Good Faith Exam records for a patient.


        Fetches GFE records from the database and enriches them with current
        status

        information from SpaKinect API.
      operationId: get_patient_gfes_spakinect_gfe_patient__patient_id__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: patient_id
          in: path
          required: true
          schema:
            type: string
            title: Patient Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GFEDetail'
                title: >-
                  Response Get Patient Gfes Spakinect Gfe Patient  Patient Id 
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GFEDetail:
      properties:
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        spakinectGfeId:
          type: string
          title: Spakinectgfeid
        createdDate:
          type: string
          format: date-time
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        status:
          $ref: '#/components/schemas/GFEStatus'
        requestedTreatments:
          items:
            type: string
          type: array
          title: Requestedtreatments
        patientDetails:
          $ref: '#/components/schemas/PatientDetails'
        document:
          anyOf:
            - $ref: '#/components/schemas/DocumentSummary'
            - type: 'null'
      type: object
      required:
        - id
        - patientId
        - spakinectGfeId
        - createdDate
        - status
        - requestedTreatments
        - patientDetails
      title: GFEDetail
      description: Detailed Good Faith Exam information including SpaKinect data
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GFEStatus:
      type: string
      enum:
        - Processing
        - Pending Review
        - Approved
        - Rejected
        - Completed
        - Cancelled
        - Cancelled by client
      title: GFEStatus
      description: Status values for Good Faith Exam visits from SpaKinect API
    PatientDetails:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Patient's full name
        first_name:
          type: string
          title: First Name
          description: Patient's first name
        last_name:
          type: string
          title: Last Name
          description: Patient's last name
        email:
          type: string
          title: Email
          description: Patient's email address
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          description: Patient's phone number
      type: object
      required:
        - first_name
        - last_name
        - email
      title: PatientDetails
    DocumentSummary:
      properties:
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        filePath:
          type: string
          title: Filepath
        fileType:
          type: string
          title: Filetype
        title:
          type: string
          title: Title
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        docType:
          $ref: '#/components/schemas/DocumentType'
        signatureUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Signatureurl
      type: object
      required:
        - id
        - patientId
        - filePath
        - fileType
        - title
        - summary
        - docType
        - signatureUrl
      title: DocumentSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DocumentType:
      type: string
      enum:
        - LAB
        - PHARMACY
        - IMAGE
        - REPORT
        - OTHER
        - CONSENT
        - NOTE_UPLOAD
      title: DocumentType

````